{
    attributes = (
        {
            allowsNull = Y; 
            columnName = ANNEE; 
            externalType = NUMBER; 
            name = annee; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = "DATE_DEBUT_FACTURE"; 
            externalType = DATE; 
            name = dateDebutFacture; 
            valueClassName = NSCalendarDate; 
            valueType = D; 
        }, 
        {
            allowsNull = Y; 
            columnName = "DATE_FIN_FACTURE"; 
            externalType = DATE; 
            name = dateFinFacture; 
            valueClassName = NSCalendarDate; 
            valueType = D; 
        }, 
        {
            allowsNull = Y; 
            columnName = "ID_DETAIL_HEBERGEMENT"; 
            externalType = NUMBER; 
            name = idDetailHebergement; 
            valueClassName = NSNumber; 
            valueType = l; 
        }, 
        {
            allowsNull = Y; 
            columnName = "ID_FACTURE"; 
            externalType = NUMBER; 
            name = idFacture; 
            valueClassName = NSNumber; 
            valueType = l; 
        }, 
        {
            allowsNull = N; 
            columnName = "ID_LIGNE_FACTURE"; 
            externalType = NUMBER; 
            name = idLigneFacture; 
            valueClassName = NSNumber; 
            valueType = l; 
        }, 
        {
            allowsNull = Y; 
            columnName = "ID_REPART_DET_HEB_EA"; 
            externalType = NUMBER; 
            name = idRepartDetHebEa; 
            valueClassName = NSNumber; 
            valueType = l; 
        }, 
        {
            allowsNull = Y; 
            columnName = "ID_RESTAURATION"; 
            externalType = NUMBER; 
            name = idRestauration; 
            valueClassName = NSNumber; 
            valueType = l; 
        }, 
        {
            allowsNull = Y; 
            columnName = "ID_TARIF"; 
            externalType = NUMBER; 
            name = idTarif; 
            valueClassName = NSNumber; 
            valueType = l; 
        }, 
        {
            allowsNull = Y; 
            columnName = "ID_TYPE_PRODUIT"; 
            externalType = NUMBER; 
            name = idTypeProduit; 
            valueClassName = NSNumber; 
            valueType = l; 
        }, 
        {
            allowsNull = Y; 
            columnName = "ID_TYPE_TARIF"; 
            externalType = NUMBER; 
            name = idTypeTarif; 
            valueClassName = NSNumber; 
            valueType = l; 
        }, 
        {
            allowsNull = Y; 
            columnName = "LIB_LIGNE_FACTURE"; 
            externalType = VARCHAR2; 
            name = libLigneFacture; 
            valueClassName = NSString; 
            valueType = S; 
            width = 250; 
        }, 
        {
            allowsNull = Y; 
            columnName = "MNT_HT"; 
            externalType = NUMBER; 
            name = mntHt; 
            precision = 12; 
            scale = 2; 
            valueClassName = NSDecimalNumber; 
            valueType = B; 
        }, 
        {
            allowsNull = Y; 
            columnName = "MNT_TTC"; 
            externalType = NUMBER; 
            name = mntTtc; 
            precision = 12; 
            scale = 2; 
            valueClassName = NSDecimalNumber; 
            valueType = B; 
        }, 
        {
            allowsNull = Y; 
            columnName = MOIS; 
            externalType = NUMBER; 
            name = mois; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = "PRIX_UNITAIRE_HT"; 
            externalType = NUMBER; 
            name = prixUnitaireHt; 
            precision = 12; 
            scale = 2; 
            valueClassName = NSDecimalNumber; 
            valueType = B; 
        }, 
        {
            allowsNull = Y; 
            columnName = QUANTITE; 
            externalType = NUMBER; 
            name = quantite; 
            precision = 12; 
            scale = 2; 
            valueClassName = NSDecimalNumber; 
            valueType = B; 
        }, 
        {
            allowsNull = Y; 
            columnName = "STATUS_HEBERGE"; 
            externalType = VARCHAR2; 
            name = statutHeberge; 
            valueClassName = NSString; 
            valueType = S; 
            width = 250; 
        }, 
        {
            allowsNull = Y; 
            columnName = "TAUX_TVA"; 
            externalType = NUMBER; 
            name = tauxTva; 
            precision = 12; 
            scale = 2; 
            valueClassName = NSDecimalNumber; 
            valueType = B; 
        }, 
        {
            allowsNull = Y; 
            columnName = "TYPE_TVA_LF"; 
            externalType = NUMBER; 
            name = typeTvaLf; 
            valueClassName = NSNumber; 
            valueType = l; 
        }, 
        {
            allowsNull = Y; 
            columnName = UNITE; 
            externalType = VARCHAR2; 
            name = unite; 
            valueClassName = NSString; 
            valueType = S; 
            width = 250; 
        }
    ); 
    className = "org.cocktail.fwkcktlinternat.serveur.metier.EOLigneFacture"; 
    classProperties = (
        annee, 
        dateDebutFacture, 
        dateFinFacture, 
        detailHebergement, 
        detailHebergements, 
        enteteFacture, 
        idDetailHebergement, 
        idFacture, 
        idRepartDetHebEa, 
        idRestauration, 
        idTarif, 
        idTypeProduit, 
        idTypeTarif, 
        libLigneFacture, 
        mntHt, 
        mntTtc, 
        mois, 
        prixUnitaireHt, 
        quantite, 
        repartDetailHebergementElementAssocie, 
        restauration, 
        restaurations, 
        statutHeberge, 
        tarif, 
        tauxTva, 
        typeProduit, 
        typeTarif, 
        typeTva, 
        typeTvaLf, 
        unite
    ); 
    externalName = "LITCHI.LIGNE_FACTURE"; 
    fetchSpecificationDictionary = {}; 
    name = "FwkInternat_LigneFacture"; 
    primaryKeyAttributes = (idLigneFacture); 
    relationships = (
        {
            destination = "FwkInternat_DetailHebergement"; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = (
                {
                    destinationAttribute = idDetailHebergement; 
                    sourceAttribute = idDetailHebergement; 
                }
            ); 
            name = detailHebergement; 
        }, 
        {
            destination = "FwkInternat_DetailHebergement"; 
            isToMany = Y; 
            joinSemantic = EOInnerJoin; 
            joins = (
                {
                    destinationAttribute = derniereFactureLigne; 
                    sourceAttribute = idLigneFacture; 
                }
            ); 
            name = detailHebergements; 
        }, 
        {
            destination = "FwkInternat_EnteteFacture"; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = idFacture; sourceAttribute = idFacture; }); 
            name = enteteFacture; 
        }, 
        {
            destination = "FwkInternat_RepartDetailHebergementElementAssocie"; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = (
                {destinationAttribute = idRepartDetHebEa; sourceAttribute = idRepartDetHebEa; }
            ); 
            name = repartDetailHebergementElementAssocie; 
        }, 
        {
            destination = "FwkInternat_Restauration"; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = idRestauration; sourceAttribute = idRestauration; }); 
            name = restauration; 
        }, 
        {
            destination = "FwkInternat_Restauration"; 
            isToMany = Y; 
            joinSemantic = EOInnerJoin; 
            joins = (
                {
                    destinationAttribute = derniereFactureLigne; 
                    sourceAttribute = idLigneFacture; 
                }
            ); 
            name = restaurations; 
        }, 
        {
            destination = "FwkInternat_Tarif"; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = idTarif; sourceAttribute = idTarif; }); 
            name = tarif; 
        }, 
        {
            destination = "FwkInternat_TypeProduit"; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = idTypeProduit; sourceAttribute = idTypeProduit; }); 
            name = typeProduit; 
        }, 
        {
            destination = "FwkInternat_TypeTarif"; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = codeTypeTarif; sourceAttribute = idTypeTarif; }); 
            name = typeTarif; 
        }, 
        {
            destination = "FwkInternat_TypeTva"; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = idTypeTva; sourceAttribute = typeTvaLf; }); 
            name = typeTva; 
        }
    ); 
}
